Subject: Re: bug#12462: 24.2.50; `C-x C-q' is bound to an obsolete command

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Sep 2012 01:58:00 +0300

>> If the command is obsolete, why is the key bound to it and not to its
>> replacement?
>
> Fixed in trunk.

I added [remap read-only-mode] to dired.el because this change
broke wdired.  An old [remap toggle-read-only] could still remain for
backward-compatibility.

Also I'm not sure whether `toggle-read-only' should be replaced with
`read-only-mode' in the function `dired-toggle-read-only' and maybe the
name of the function `dired-toggle-read-only' should be changed to
`dired-read-only-mode' in a similar way?